GuideLab API

List materials

Retrieve a paginated list of materials for the authenticated lab, with optional search and inactive filtering.

GET
/materials

Retrieve a paginated list of materials for the authenticated lab, with optional search and inactive filtering.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string
search?string
page?string
limit?string
labId?string

Response Body

application/json

curl -X GET "https://example.com/materials"
{  "data": [    {      "id": "string",      "labId": "string",      "name": "string",      "code": "string",      "valuePerGram": "string",      "description": "string",      "iconKey": "string",      "isActive": true,      "sortOrder": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty
Empty
Empty